Welcome to Repute

Welcome to Repute™ 1.5

No compromise pile group design

Repute™ is a new computer program for determining the response of pile groups to 3-dimensional loading, using linear or non-linear soil models. Repute features:

  • a notebook style user interface for easy entry of your pile, layer, and loading data
  • a lightning-fast calculation engine based on the boundary-element method
  • extensive reporting capabilities via its in-built web browser, rich text viewer, and graph control

Repute's calculation engine is the leading-edge program PGroupN (used under exclusive licence from Geomarc), which provides a complete 3D non-linear boundary element solution of the soil continuum. This overcomes limitations of traditional interaction-factor methods and gives more realistic predictions of deformations and the load distribution between piles.

Repute is the first pile-group design program to deal efficiently with soil non-linearity, avoiding exaggerated stresses and consequential high loads and bending moments at pile-group corners (a common limitation of linear-elastic models). Benefits of this include greatly improved designs and significant savings in construction costs.

Repute is supplied with a detailed User Manual, including three step-by-step tutorials. A separate chapter explains the background theory and assumptions behind the program. Technical support for Repute is provided free-of-charge for 30 days and thereafter via an annual support agreement. Service Packs are placed on the Geocentrix website (www.geocentrix.co.uk/support) at regular intervals.

Tips:
Repute Help explains how to install and use Repute. It includes an overview of the program, three step-by-step tutorials, and separate topics giving background theory and assumptions behind the program. The latest version of this help (including any corrections and/or additions since the program’s first release) is available from the Geocentrix website. Please visit www.geocentrix.co.uk/repute and follow the links to Repute’s support pages.

Copyright ©2002-7 Geocentrix Ltd. All rights reserved.


What's new in Repute

Repute provides several features that are not available in other pile group design programs, such as:

Notebook style user interface for easy entry of you pile, layer, and loading data

Separate pages for Project, Piles, Layers, Loads, Options, Messages, and Reports

Sub-pages for HTML, Text, and Graph reports

Toolbar gives quick access to commonly used commands

Status bar summarizes key information

Lightning-fast calculation engine based on the boundary-element method

Repute's calculation engine is the leading-edge program PGroupN (used under exclusive licence from Geomarc), which provides a complete 3D non-linear boundary element solution of the soil continuum. This overcomes limitations of traditional interaction-factor methods and gives more realistic predictions of deformations and the load distribution between piles.

Extensive reporting capabilities via its in-built web browser, rich text viewer, and graph control

Built-in web browser, rich text viewer, and graph control

Summary reports: Project, Piles, Layers, Loads, Options, All Input, and Key Results

Detailed reports: Pile Loads, Pile Stresses, Group Stiffnesses, Group Flexibilities

Graphs: Pile Layout, Load vs Displacement, Moment vs Rotation, Forces in Pile, Bending Moments in Pile, Stresses against Pile

XML and XSLT technology allows reports to be customised

Tip: Please contact Geocentrix to obtain a brochure for Repute, giving a detailed specification for ther program


Installing and running Repute

Repute runs on most Microsoft Windows operating systems. Installation procedures vary slightly from one operating system to the next.

Although you can install Repute on as many computers as you like, you will only be able to run the program on those computers to which you attach an authorized security key.

What next?

  • System requirements lists the resources Repute requires to function properly.
  • To install Repute gives instructions for installing Repute on your system.
  • To run Repute gives instructions for running Repute once installed.
  • To uninstall Repute gives instructions for removing Repute from your system.


System requirements

Repute runs on Microsoft® Windows® 95/98/Me and Microsoft Windows NT4/2000/XP and requires these minimum resources to function properly:

  • Intel® Pentium® (or higher) processor
  • 32 MB RAM
  • At least 30Mb free space on your hard disk for a complete installation
  • CD-ROM drive
  • VGA or higher resolution monitor displaying 256 or more colours
  • Any printer supported by Windows
  • A mouse or other pointing device supported by Windows

What next?

  • To install Repute gives instructions for installing Repute on your system.


To install Repute

  1. Insert the Geocentrix Software CD into your CD-ROM drive. The Geocentrix CD Browser should automatically appear on your screen. If not, click Run... on Windows’ Start menu, type X:\setup.exe in the Open box (where X is the letter of your CD-ROM drive), and click OK.
    Screenshot     [image] Screenshot

  2. Click on the Install Repute link to run Repute’s installation program. Screenshot

  3. Choose to Run Setup.exe when prompted. Screenshot

  4. Choose to Run again when security warning appears. Screenshot

  5. At the Welcome screen, click Next. Screenshot

  6. Read and accept the License Agreement for Repute and then click Next. Screenshot

  7. Study the program's Readme Information and then click Next. Screenshot

  8. Enter your Company Name and Licence Number (as given on the Geocentrix box in which your software came) and click Next. Screenshot

  9. Choose a Destination Folder for the program and click Next. Screenshot

  10. Select an installation type and click Next. Screenshot

  11. Click Next to begin the installation. Screenshot

  12. When Windows has finished updating your system, click Finish. Screenshot
  13. Exit to close the Geocentrix CD Browser. Screenshot

Screen-shots are shown for Windows XP and may differ on other operating systems

What next?

  • To run Repute gives instructions for running Repute once installed.
  • To uninstall Repute gives instructions for removing Repute from your system.


To run Repute

  1. Connect the program's security key (supplied when you purchased Repute) to your computer's USB or parallel (i.e. printer) port
  2. Then:
    • Double-click on the Repute icon located on your desktop (or)
    • From Windows' Start menu, click Programs > Geocentrix Repute > Repute 1.5

Note: In Windows XP and later, the Programs menu is called All Programs

What next?

  • To uninstall Repute gives instructions for removing Repute from your system.


To uninstall Repute

On Windows XP

  1. Exit Repute
  2. On Windows’ Start menu, click Control Panel
  3. Double-click on the Add or Remove Programs icon
  4. Select Change or Remove Programs on the left hand side of the Add or Remove Programs window
  5. Select Repute 1.5 in the Currently installed programs box and click the Remove button that appears when you do so
  6. Answer Yes when asked Are you sure you want to remove Repute from your computer?
  7. When Windows has finished updating your system, click Close to close the Add or Remove Programs window
  8. Close Windows’ Control Panel

On Windows 95/98/Me/NT4/2000

  1. Exit Repute
  2. On Windows’ Start menu, click Settings > Control Panel
  3. Double-click on the Add or Remove Programs icon
  4. On the Install/Uninstall page, select Repute 1.5 from the list of programs installed on your system
  5. Click the Add/Remove button
  6. Select Remove in the Application Maintenance window and click Next
  7. Click Next to confirm that you want to remove Repute
  8. When Windows has finished updating your system, click Finish
  9. Click OK to close the Add/Remove Programs window
  10. Close Windows’ Control Panel


Overview

The topics below give you an overview of Repute’s main features.

What next?

  • Key features
  • User interface


Key features

The key features of Repute are:

  • a notebook style user interface for easy entry of your pile, layer, and loading data
  • a lightning-fast calculation engine based on the boundary-element method
  • extensive reporting facilities via its in-built web browser, rich text viewer, and graph control
  • a Pile Group Wizard to facilitate the speedy creation of large pile groups
  • a detailed messaging system providing an audit trail of the program’s operations
  • built-in SI/Imperial unit converters
  • extensive data-validation on data-entry and prior to calculation
  • context-sensitive online help
  • links to supporting material on the Geocentrix website


User interface

Repute’s user interface comprises a title bar , menu bar , toolbar , tabbed notebook , status bar , and sizing-grip .

Tip: Click on the image below for more information.


Overview

Tutorial 1 - pile group in clay & sand

Introduction

This tutorial demonstrates the basic features of Repute, by way of a worked example. Tutorial 1 shows you how to:

  • Use the program's Pile Group Wizard
  • Navigate Repute's notebook style interface
  • View the results of your calculations

Worked example

The worked example involves the analysis of a group of 4 piles installed in stiff clay overlying dense sand.

  • The ground conditions at the site comprise 8m of stiff clay (Young's modulus 40MPa vertically, 20MPa horizontally; Poisson's ratio 0.5) overlying dense sand (Young's modulus 50 + 10z MPa vertically and horizontally, where z is the depth below the top of the sand layer; Poisson's ratio 0.3). A linear-elastic soil model will be used.
  • The piles will be installed on a 2 x 2 grid, at 3m spacing (centre-to-centre) along the edge of the grid. Each pile is 20m long, 1m in diameter, with a free-standing length of 0.5m and Young's modulus of 30GPa (both axially and laterally).
  • You are interested in the displacements and rotation of the pile cap under a combined vertical load of 12MN, horizontal load of 1MN, and moment of 2MNm. The loads will be applied at the centre of the pile cap.

Steps

If Repute is not already running, double-click on the Repute icon to load the program into your computer’s memory. Once the “splash screen” has disappeared, Repute displays its main user interface.

  • In Step 1, you enter basic project information, such as your client's name and the project description.
  • In Step 2, you define the size of the pile group and let Repute create the piles for you.
  • In Step 3, you enter the properties of the soil layers.
  • In Step 4, you specify the loads applied to the pile group.
  • In Step 5, you validate the input data and run the analysis.
  • In Step 6, you review the results of the analysis.

Start the Tutorial


Step 1

Tutorial 1 - pile group in clay & sand

Step 1 - enter basic project information

In Step 1, you enter basic project information, such as your client's name and the project description.

  1. If the Project page is not already showing, click on the Project tab in Repute's main window or from the Window menu, select Project. The Project page comes to the front of Repute's main window.
  2. In the Name box, change "Project 1" to "Tutorial 1". When you do so, the Apply and Revert buttons are enabled, reminding you that you have made changes to the data on this page.
  3. Enter "Pile group in clay & sand" in the Description box.
  4. Enter the number 1 in the Number box.
  5. Enter your name or initials in the MadeBy box.

  6. Enter your company's name and address in the Company Name box.
    Screenshot

  7. Click the Apply button to commit this information to Repute’s internal memory. When you do so, the Apply and Revert buttons are disabled, indicating that your changes have been committed to memory.

You will find a copy of this project in its current state in the folder Projects\Tutorial 1, under the name Step1.rpx.

Next Step


Step 2

Tutorial 1 - pile group in clay & sand

Step 2 - define the pile group

In Step 2, you define the size of the pile group and let Repute create the piles for you.

  1. From the Tools menu, select Pile Group Wizard. The Pile Group Wizard appears.
  2. Enter the number of piles in the group (in this case 2 x 2). You can add or delete piles at a later time via Repute's Piles window.
  3. Enter the dimensions of the pile group, measured from the centre of the first pile to the centre of the last pile along each side of the group (in this case, 3m x 3m).
  4. Select the position of the datum (this determines where x and y dimensions are measured from). Choose Centre of Group for this example.
  5. Enter the length (20m), diameter (1m), and free-standing length (0.5m) of the piles. You can alter the dimensions of any pile at a later time via Repute's Piles window.

  6. Enter the axial and lateral Young's moduli (30 GPa) of the piles. Again, you can alter these values later via Repute's Piles window.
    Screenshot

  7. Click OK to create the pile group. The Piles page comes to the front of Repute's main window.
    Screenshot

  8. You can review the properties of each pile by clicking on their names in the Defined Piles box.

You will find a copy of this project in its current state in the folder Projects\Tutorial 1, under the name Step2.rpx.

Next Step


Step 3

Tutorial 1 - pile group in clay & sand

Step 3 - enter the layers

In Step 3, you enter the properties of the soil layers.

  1. Click on the Layers tab in Repute's main window or from the Window menu, select Layers. The Layers page comes to the front of Repute's main window.
  2. First, create the clay layer:
    • from the Project menu, select Add Undrained Layer (or)

    • click on the Create a new undrained layer button on Repute's Toolbar.
      Screenshot

  3. A new layer is created and added to the Defined Layers box.
  4. Enter the layer's Thickness (8m), Vertical Young's Modulus (At Top) (40MPa), and Horizontal Young's Modulus (At Top) (20MPa). For undrained layers, Poisson's Ratio is automatically set to 0.5.

  5. If you need to change the units of any property, you can do so by clicking on the corresponding down-arrow and selecting from the list of units given. The value entered in the attached edit box will change accordingly.
    Screenshot

  6. Click Apply to save the entered values for this layer.
  7. Next, create the sand layer:
    • from the Project menu, select Add Drained Layer (or)

    • click on the Create a new drained layer button on Repute's Toolbar
      Screenshot

  8. A second layer is created and added to the Defined Layers box.

  9. Leave the layer's Thickness at its default value (20m) and enter its Vertical Young's Modulus (At Top) (50MPa) and Gradient (10MN/m3), and Horizontal Young's Modulus (At Top) and Gradient (same as vertical). For drained layers, Poisson's Ratio is automatically set to 0.3.
    Screenshot

  10. Click Apply to save the entered values for Layer 2.
  11. Click on Layer 1 and Layer 2 in the Defined Layers box to review the properties you have entered for each layer.

You will find a copy of this project in its current state in the folder Projects\Tutorial 1, under the name Step3.rpx.

Next Step


Step 4

Tutorial 1 - pile group in clay & sand

Step 4 - specify the loads

In Step 4, you specify the loads applied to the pile group.

  1. Click on the Loadstab in Repute's main window or from the Window menu, select Loads. The Loads page comes to the front of Repute's main window.
  2. To create a new load case:
    • from the Project menu, select Add Load (or)

    • click on the Create a new load case button on Repute's Toolbar.
      Screenshot

  3. A new load case is created and added to the Defined Load Cases box.
  4. Enter the Vertical Force (12MN), Horizontal Force Hx (1MN), and Moment My (2MNm) in the appropriate boxes. It is usually easier to change the units (to MN or MNm in these cases) before entering the values.
  5. Because, in Step 2, we set the pile cap's datum to Centre of Group, here we set the X position of the vertical load to 0m (i.e. at the centre of the pile group).

  6. Since this is the only load case defined at present, Repute automatically makes it the active load case.
    Screenshot

  7. Click Apply to save the entered values for this load case.

You will find a copy of this project in its current state in the folder Projects\Tutorial 1, under the name Step4.rpx.

Next Step


Step 5

Tutorial 1 - pile group in clay & sand

Step 5 - validate the data and run the analysis

In Step 5, you validate the input data and run the analysis.

  1. First, validate the data:
    • from the Build menu, select Validate (or)

    • click on the Validate the input data button on Repute's Toolbar
      Screenshot

  2. The Messages page comes to the front of Repute's main window and shows the results of Repute's data validation. Screenshot

  3. If you have entered the data as described in this Tutorial, you will find there are no warnings [image] or errors [image] listed on the Messages page, only information [image]. If there are, re-trace your steps and correct any mistakes you have made.
  4. When your data has been successfully validated, run the analysis by:
    • selecting Run from the Build menu (or)

    • clicking on the Run the analysis button on the Toolbar
      Screenshot

  5. Repute displays further messages, informing you of the progress and outcome of the analysis.
    Screenshot

Next Step


Step 6

Tutorial 1 - pile group in clay & sand

Step 6 - review the results of the analysis

In Step 6, you view the results of the analysis.

  1. From the Reports menu, select Summary.

  2. From the Summary menu, select All Input. The Reports page comes to the front of Repute's main window and shows a report giving a summary of all your input parameters. (You may need to enlarge/maximize Repute's main window to see all of this report.)
    Screenshot

  3. Next, select Key Results from the Reports > Summary menu to see a report summarizing the deflections and rotation of the pile cap.
  4. Experiment with the other reports listed on Repute's Reports > Summary menu.
  5. To print a report:
    • right-click anywhere on a report to display the HTML viewer's context-sensitive popup menu and select Print from the popup menu
    • select Print... from Repute's File menu
  6. If you wish to save your work, select Save Project from the File menu, choose where to save the project and what to call it, and click the Save button. Repute automatically adds ".rpx" to the filename you specify.
  7. If you do not wish to proceed with Tutorial 2 at this time, you can exit Repute by selecting Exit from the File menu.

You will find a copy of this project in its final state in the folder Projects\Tutorial 1, under the name Step6.rpx.

What next?

  • Tutorial 2 presents a non-linear analysis of a pile group in stiff clay overlying rock.
  • Tutorial 3 looks at the more complicated case of an asymmetric pile group under 3-dimensional loading.


Overview

Tutorial 2 - non-linear analysis of pile group in stiff clay overlying rock

Introduction

This tutorial presents a non-linear analysis of a pile group installed in stiff clay overlying rock. Tutorial 2 also shows you how to:

  • Specify a non-linear analysis
  • Introduce a rigid layer into the calculations
  • Produce a load-displacement graph for the pile cap
  • Print the results of your calculations

Worked example

The worked example involves the analysis of a group of 4 piles installed in stiff clay overlying rock.

  • The ground conditions at the site comprise 35m of stiff clay (Young's modulus 75 + 10z MPa vertically and half that horizontally, where z is the depth below the top of the layer; Poisson's ratio 0.5) overlying a rigid layer of rock.
  • A non-linear soil model will be used for the clay, which has a unit weight of 19.8kN/m3, undrained strength of 75 + 10z kPa, and adhesion factor of 0.5.
  • The water table is at the ground surface.
  • The piles will be installed on a 2 x 2 grid, at 3m spacing (centre-to-centre) along the edge of the grid. Each pile is 20m long, 1m in diameter, with a free-standing length of 0.5m and Young's modulus of 30GPa (both axially and laterally). This is the same pile group as was used in Step 2 of Tutorial 1.
  • You are interested in the displacements and rotation of the pile cap under a combined vertical load of 20MN, horizontal load of 2MN, and moment of 3MNm. The loads will be applied at the centre of the pile cap.
  • Hyperbolic curve-fitting constants of 0.5 (for the shaft), 0.99 (for the base), and 0.9 (for lateral response) should be used.
  • Two analyses will be run, one without any limit on the mobilized shaft stresses and one with a limit of 100kPa.

Steps

If Repute is not already running, double-click on the Repute icon to load the program into your computer’s memory. Once the “splash screen” has disappeared, Repute displays its main user interface.

If you are following this tutorial having just completed Tutorial 1, click New Project on the File menu to create a new (blank) project. You will be prompted to save your work if you have not already done so.

In this tutorial:

  • In Step 1, you enter basic project information, such as your client's name and the project description.
  • In Step 2, you change the analysis to non-linear and enter parameters needed to support this calculation.
  • In Step 3, you enter the properties of the soil and rock layers.
  • In Step 4, you define the size of the pile group and let Repute create the piles for you.
  • In Step 5, you specify the loads applied to the pile group.
  • In Step 6, you run the analysis.
  • In Step 7, you display the load-displacement curve for the pile group.
  • In Step 8, you apply limiting stresses along the pile shaft and re-run the analysis to see the effect.

Start the Tutorial


Step 1

Tutorial 2 - non-linear analysis of pile group in stiff clay overlying rock

Step 1 - enter basic project information

In Step 1, you enter basic project information, such as your client's name and the project description.

  1. If the Project page is not already showing, click on the Project tab in Repute's main window or from the Window menu, select Project. The Project page comes to the front of Repute's main window.
  2. Enter "Tutorial 2" in the Name box. When you do so, the Apply and Revert buttons are enabled, reminding you that you have made changes to the data on this page.
  3. In the Description box, enter "Non-linear analysis of pile group in stiff clay overlying rock".
  4. Enter the number 2 in the Number box.
  5. Enter your name or initials in the Made By box.

  6. Enter your company's name and address in the Company Name box.
    Screenshot

  7. Click the Apply button to commit this information to Repute’s internal memory. When you do so, the Apply and Revert buttons are disabled, indicating that your changes have been committed to memory.

You will find a copy of this project in its current state in the folder Projects\Tutorial 2, under the name Step1.rpx.

Next Step


Step 2

Tutorial 2 - non-linear analysis of pile group in stiff clay overlying rock

Step 2 - change the analysis to non-linear

In Step 2, you change the analysis to non-linear and enter parameters needed to support this calculation.

By default, Repute determines the pile group's response to load using a linear boundary element analysis. This is the simplest (but least realistic) of the analyses that Repute can perform. To specify a non-linear analysis:

  1. Click on the Optionstab in Repute's main window or from the Window menu, select Options. The Options page comes to the front of Repute's main window.
  2. If not already set, change the Analysis to Non-linear. The Shaft, Base, and Lateral boxes will appear, since these are needed for a non-linear analysis, and other options will be enabled.
  3. Enter values of 0.5, 0.99, and 0.9 for the shaft, base, and lateral Hyperbolic Constants, respectively.

  4. Clear the checkbox labelled Always Analyse As 3-Dimensional. This will allow Repute to simplify - and speed up - the analysis, provided the pile group and loading are both symmetrical about the X-axis.
    Screenshot

  5. Click the Apply button to commit this information to Repute’s internal memory.

You will find a copy of this project in its current state in the folder Projects\Tutorial 2, under the name Step2.rpx.

Next Step


Step 3

Tutorial 2 - non-linear analysis of pile group in stiff clay overlying rock

Step 3 - enter the soil and rock layers

In Step 3, you enter the properties of the soil and rock layers.

  1. Click on the Layers tab in Repute's main window or from the Window menu, select Layers. The Layers page comes to the front of Repute's main window.
  2. First, create the clay layer:
    • from the Project menu, select Add Undrained Layer (or)

    • click on the Create a new undrained layer button on Repute's Toolbar.
      Screenshot

  3. A new layer is created and added to the Defined Layers box.

  4. Enter the layer's Thickness (35m), Vertical Young's Modulus (At Top) (75MPa) and Gradient (10MN/m3), and Horizontal Young's Modulus (At Top) (37.5MPa) and Gradient (5MN/m3). For undrained layers, Poisson's Ratio is automatically set to 0.5.
    Screenshot

  5. Next, enter the soil's Unit Weight (19.8kN/m3), Undrained Strength (75kPa) and Gradient (10kN/m3), and Adhesion Factor (0.5).
    Screenshot

  6. Make sure the Layer is below the Water Table box is ticked.
    Screenshot

  7. Click Apply to save the entered values for Layer 1.
  8. Next, create the rock layer:
    • from the Project menu, select Add Rigid Layer (or)

    • click on the Create a new rigid layer button on Repute's Toolbar.
      Screenshot

  9. A second layer is created and added to the Defined Layers box.
  10. Because rigid layers have no properties that you need to set, the Dimensions of Selected Layer, Properties of Selected Layer, and Properties of ... Soil boxes are hidden.

You will find a copy of this project in its current state in the folder Projects\Tutorial 2, under the name Step3.rpx.

Next Step


Step 4

Tutorial 2 - non-linear analysis of pile group in stiff clay overlying rock

Step 4 - define the pile group

In Step 4, you define the size of the pile group and let Repute create the piles for you.

  1. From the Tools menu, select Pile Group Wizard. The Pile Group Wizard appears.
  2. Enter the number of piles in the group (2 x 2) and its dimensions (3m x 3m).
  3. Select the position of the datum (Centre of Group).

  4. Enter the length (20m), external diameter (1m), free-standing length (0.5m), and axial and lateral Young's moduli (30 GPa) of the piles.
    Screenshot

  5. Click OK to create the pile group.

You will find a copy of this project in its current state in the folder Projects\Tutorial 2, under the name Step4.rpx.

Next Step


Step 5

Tutorial 2 - non-linear analysis of pile group in stiff clay overlying rock

Step 5 - specify the loads

In Step 5, you specify the loads applied to the pile group.

  1. Click on the Loadstab in Repute's main window or from the Window menu, select Loads. The Loads page comes to the front of Repute's main window.
  2. To create a new load case:
    • from the Project menu, select Add Load (or)

    • click on the Create a new load case button on Repute's Toolbar.
      Screenshot

  3. A new load case is created and added to the Defined Load Cases box.

  4. Enter the Vertical Force (20MN), Horizontal Force Hx (2MN), and Moment My (3MNm) in the appropriate boxes. Set the X position of the vertical load to 0m (i.e. at the centre of the pile group).
    Screenshot

  5. Click Apply to save the entered values for this load case.

You will find a copy of this project in its current state in the folder Projects\Tutorial 2, under the name Step5.rpx.

Next Step


Step 6

Tutorial 2 - non-linear analysis of pile group in stiff clay overlying rock

Step 6 - run the analysis

In Step 6, you run the analysis.

  1. To run the analysis:
    • select Run from the Build menu (or)
    • click on the Run the analysis button on the Toolbar

  2. Repute automatically validates your input data and then performs the analysis. When it have finished these tasks, the Messages page comes to the front of Repute's main window.
    Screenshot

  3. If you have entered the data as described in this Tutorial, you will find there are no warnings [image] or errors [image] listed on the Messages page, only information [image]. If there are, re-trace your steps and correct any mistakes you have made.

Next Step


Step 7

Tutorial 2 - non-linear analysis of pile group in stiff clay overlying rock

Step 7 - display the load-displacement curve for the pile group

In Step 7, you display the load-displacement curve for the pile group.

  1. From the Reports menu, select Graphs.

  2. From the Graphs menu, select Load vs Displacement. The Reports page comes to the front of Repute's main window and shows a graph of vertical and horizontal load against their corresponding displacements, for the pile group.
    Screenshot

  3. Next, select Moment vs Rotation from the Reports > Graphs menu to see a graph of applied moment against the resulting rotation.
  4. Experiment with the other reports listed on Repute's Reports > Graphs menu. Note that the graphs of pile forces, bending moments, and stresses are produced for whichever pile is currently selected on the Piles page.
  5. To print a graph:
    • right-click anywhere on a report to display the graph's context-sensitive popup menu and select Print from the popup menu
    • select Print... from Repute's File menu

Next Step


Step 8

Tutorial 2 - non-linear analysis of pile group in stiff clay overlying rock

Step 8 - apply limiting stresses

In Step 8, you apply limiting stresses along the pile shaft and re-run the analysis to see the effect.

  1. First, make a note of the vertical displacement of the pile group without any limiting stresses applied:
    • From the Reports menu, select Summary.

    • From the Summary menu, select Key Results. The Reports page comes to the front of Repute's main window and shows a report giving the key results from the analysis. Note the value of the vertical displacement (10.12mm).
      Screenshot

  2. Next, click on the Optionstab in Repute's main window or from the Window menu, select Options. The Options page comes to the front of Repute's main window.

  3. Tick the Apply Limits to Stresses box. The Maximum Skin Friction and Maximum Bearing Pressure boxes will appear. Enter values of 100kPa and 11MPa respectively in these boxes.
    Screenshot

  4. Click the Apply button to commit this information to Repute’s internal memory.
  5. Re-run the analysis:
    • select Run from the Build menu (or)
    • click on the Run the analysis button on the Toolbar
  6. Repute re-validates your input data and then performs the modified analysis.
  7. Now inspect the vertical displacement of the pile group with limiting stresses applied:
    • From the Reports menu, select Summary.
    • From the Summary menu, select Key Results. The Reports page comes to the front of Repute's main window and shows a report giving the key results from the analysis. The value of the vertical displacement has changed to 10.8mm, i.e. there is 0.7mm more vertical movement when limiting stresses are applied.
  8. You may want to review the effect of this change on the pile group's load-displacement curves, by displaying the graphs available from Repute's Reports > Graphs menu.
  9. If you wish to save your work, select Save Project from the File menu, choose where to save the project and what to call it, and click the Save button. Repute automatically adds ".rpx" to the filename you specify.
  10. If you do not wish to proceed with Tutorial 3 at this time, you can exit Repute by selecting Exit from the File menu.

You will find a copy of this project in its final state in the folder Projects\Tutorial 2, under the name Step8.rpx.

What next?

  • Tutorial 3 looks at the more complicated case of an asymmetric pile group under 3-dimensional loading.


Overview

Tutorial 3 - asymmetric pile group under 3D loading

Introduction

This tutorial considers a more complicated project than Tutorials 1 and 2: that of an asymmetric pile group under general 3-dimensional loading. Tutorial 3 shows you how to:

  • Modify an existing project
  • Change the location of individual piles within a pile group
  • Obtain a plan diagram showing the layout of the piles
  • Specify 3D loading

Worked example

The worked example involves the analysis of a group of 15 piles installed in stiff clay overlying dense sand.

  • The ground conditions at the site are identical to those in Tutorial 1.

  • The piles will be installed on an irregular grid, as shown below. The spacing between adjacent rows is 3m in the X direction and 1.5m in the Y direction.
    Plan diagram of pile group

  • Each pile is 20m long, 1m in diameter, and has a Young's modulus of 30GPa (both axially and laterally).
  • You are interested in the displacements and rotation of the pile cap under a combined vertical load of 50MN, horizontal loads of 10MN (in the X-direction) and 7MN (in the Y-direction), and moments of 5MNm (in the XZ-plane) and 3MNm (in the YZ-plane). The vertical load will be applied at the location of Pile 9.

Steps

If Repute is not already running, double-click on the Repute icon to load the program i nto your computer’s memory. Once the “splash screen” has disappeared, Repute displays its Project window.

  • In Step 1, you open an existing project and modify its project information.
  • In Step 2, you specify the 3-dimensional loading on the pile group.
  • In Step 3, you create a new pile group.
  • In Step 4, you move the piles to obtain an asymmetric layout.
  • In Step 5, you review the pile layout to check for any mistakes.
  • In Step 6, you run the analysis and view the results.

Start the Tutorial


Step 1

Tutorial 3 - asymmetric pile group under 3D loading

Step 1 - open and modify an existing project

In Step 1, you open an existing project and modify its project information.

  1. From the File menu select Open Project..., navigate to the folder Projects\Tutorial 3 and open the file Tutorial1.rpx (this is a copy of the file that was saved at the end of Tutorial 1). If you already have another project open, you will be prompted to save your work if you have not already done so.
  2. Click on the Projecttab in Repute's main window or from the Window menu, select Project. The Project page comes to the front of Repute's main window.

  3. Change the Project Description to "Tutorial 3 - asymmetric pile group under 3D loading" and the Project Number to 3.
    Screenshot

  4. Click the Apply button to commit this information to Repute’s internal memory.

You will find a copy of this project in its current state in the folder Projects\Tutorial 3, under the name Step1.rpx.

Next Step


Step 2

Tutorial 3 - asymmetric pile group under 3D loading

Step 2 - specify the 3-dimensional loading

In Step 2, you specify the 3-dimensional loading on the pile group.

  1. Click on the Loadstab in Repute's main window or from the Window menu, select Loads. The Loads page comes to the front of Repute's main window.
  2. Enter the Vertical Force (50MN), Horizontal Force Hx (10MN), Moment Mx (3MNm), Horizontal Force Hy (7MN), and Moment My (5MNm) in the appropriate boxes. It is usually easier to change the units (to MN or MNm in these cases) before entering the values.

  3. In this worked example, we will set the pile cap's datum at the location of Pile 1 (near the corner of the pile group) and apply the vertical force at the location of Pile 9 (i.e. at an X position of 6m and Y position of 3m). Enter these values in the appropriate boxes.
    Screenshot

  4. Click the Apply button to commit this information to Repute’s internal memory.

You will find a copy of this project in its current state in the folder Projects\Tutorial 3, under the name Step2.rpx.

Next Step


Step 3

Tutorial 3 - asymmetric pile group under 3D loading

Step 3 - create a new pile group

In Step 3, you create a new pile group.

  1. Click on the Piles tab in Repute's main window or from the Window menu, select Piles. The Piles page comes to the front of Repute's main window.
  2. From the Tools menu, select Pile Group Wizard. A box appears with the message "Running the Pile Group Wizard will clear all the existing piles. Do you want to continue?" Answer Yes. The Pile Group Wizard appears.
  3. Enter the number of piles in the group (in this case 5 x 3).
  4. Enter the dimensions of the pile group, measured from the centre of the first pile to the centre of the last pile along each side of the group (12m x 6m).
  5. Select the position of the datum (this determines where X and Y dimensions are measured from). Choose Corner of Group for this example.
  6. Enter the length (20m) and external diameter (1m) of the piles. You can alter the dimensions of any pile at a later time via Repute's Piles window.

  7. Enter the axial and lateral Young's moduli (30 GPa) of the piles. Again, you can alter these values later via Repute's Piles window.
    Screenshot

  8. Click OK to create the pile group.
    Screenshot

You will find a copy of this project in its current state in the folder Projects\Tutorial 3, under the name Step3.rpx.

Next Step


Step 4

Tutorial 3 - asymmetric pile group under 3D loading

Step 4 - move the piles into an asymmetric layout

In Step 4, you move the piles to obtain an asymmetric layout.

  1. Selecting each pile in the Defined Piles box in turn, edit their X and Y Positions as follows:
    • Piles 1, 2, and 3: leave unchanged
    • Pile 4: change the Y Position to -1.5m and click Apply
    • Pile 5: change the Y Position to +1.5m and click Apply
    • Pile 6: change the Y Position to +4.5m and click Apply
    • Piles 7, 8, and 9: leave unchanged
    • Pile 10: change the Y Position to -1.5m and click Apply
    • Pile 11: change the Y Position to +1.5m and click Apply
    • Pile 12: change the Y Position to +4.5m and click Apply
    • Piles 13 and 14: leave unchanged
    • Pile 15: change the X Position to +3m and the Y Position to +7.5m and click Apply
  2. From the Edit menu, select Sort to re-order the piles according to their X and Y positions (Pile 15 will become Pile 7 and Piles 7-14 will become Piles 8-15).

You will find a copy of this project in its current state in the folder Projects\Tutorial 3, under the name Step4.rpx.

Next Step


Step 5

Tutorial 3 - asymmetric pile group under 3D loading

Step 5 - review the pile layout

In Step 5, you review the pile layout to check for any mistakes.

  1. From the Reports menu, select Graphs.

  2. From the Graphs menu, select Pile Layout. The Reports page comes to the front of Repute's main window and shows a plan view of the piles, with the X and Y axes centred on Pile 1.
    Screenshot

  3. Check that the piles are located where you expect them. If they are not, go to the Piles page and correct the incorrect data.
  4. To print the pile layout:
    • right-click anywhere on the graph to display its context-sensitive popup menu and select Print from the popup menu
    • select Print from Repute's File menu

Next Step


Step 6

Tutorial 3 - asymmetric pile group under 3D loading

overlying rock

Step 6 - run the analysis

In Step 6, you run the analysis and view the results.

  1. To run the analysis:
    • select Run from the Build menu (or)
    • click on the Run the analysis button on the Toolbar
  2. To view the results:
    • From the Reports menu, select Summary.

    • From the Summary menu, select Key Results.
      Screenshot

  3. If you wish to save your work, select Save Project from the File menu, choose where to save the project and what to call it, and click the Save button. Repute automatically adds ".rpx" to the filename you specify.
  4. Exit Repute by selecting Exit from the File menu.

What next?

You will find further information about Repute, including example projects, in the program’s help file, which you can open from Repute’s Help menu.


Background theory and assumptions

Repute's calculation engine is the leading-edge program PGroupN (used under exclusive licence from Geomarc), which provides a complete 3D non-linear boundary element solution of the soil continuum. This overcomes limitations of traditional interaction-factor methods and gives more realistic predictions of deformations and the load distribution between piles.

The PGroupN program is based on a complete boundary element formulation, extending an idea first proposed by Butterfield & Banerjee (1971). The method employs a substructuring technique in which the piles and the surrounding soil are considered separately and then compatibility and equilibrium conditions are imposed at the interface. Given unit boundary conditions, i.e. pile group loads and moments, these equations are solved, thereby leading to the distribution of stresses, loads and moments in the piles for any loading condition.

The definition of the coordinate system, the sign conventions, and a general pile group arrangement are shown in Figures 1 to 3.

Figure 1. View of a 2 x 2 pile group in the XY plane

Figure 2. Profile of a 2 x 2 pile group in the XZ plane

Figure 3. Discretization of the pile-soil interface into N = 6 shaft elements

Modelling the pile-soil interface

Modelling the soils

Modelling the piles

References


Background theory and assumptions

Modelling the pile-soil interface

The PGroupN analysis involves discretization of only the pile-soil interface into a number of cylindrical elements, while the base is represented by a circular (disc) element. The behaviour of each element is considered at a node which is located at the mid-height of the element on the centre line of the pile. The stress on each element is assumed to be constant, as shown in [image] Fig. 3.

It is common practice to assume that there is no coupling between axial and lateral response of each pile element (Banerjee & Driscoll, 1976; Randolph, 1987; Chow, 1987a, 1987b; Poulos, 1990).

With regard to the axial response, the pile-soil interface is discretized into a number N of shaft cylindrical elements over which (axial) shear stresses are applied, while the base is represented by a circular (disc) element over which normal stresses are acting.

With regard to the lateral response in X and Y directions (which are considered separately), the pile is assumed to be a thin rectangular strip which is subdivided into a number N of rectangular elements. Only normal stresses on the compressive face are considered.

Further, if the pile base is assumed to be smooth, the effects of the tangential components of stresses over the base area can be ignored. Thus, each pile is characterised by (3N+1) surface elements (where "1" represents the base element).

Limiting pile-soil stresses

It is essential to ensure that the stress state at the pile-soil interface does not violate the yield criteria. This can be achieved by specifying the limiting stresses at the pile-soil interface.

Cohesive soil

For cohesive soils, a total stress approach is adopted. The limiting shear stress in the slip zone (i.e. the pile shaft for the axial response) is taken as:

tss = aCu

where Cu is the undrained shear strength of the soil and a is the adhesion factor.

The limiting bearing stress on the pile base is calculated as:

tsc = 9Cu

The limiting bearing stress on the pile shaft for the lateral response is calculated as:

tsc = NcCu

where Nc is a bearing capacity factor increasing linearly from 2 at the surface to a constant value of 9 at a depth of three pile diameters and below, much as was originally suggested by Broms (1964) and widely accepted in practice (Fleming et al., 1992).

Cohesionless soil

For cohesionless soils, an effective stress approach is adopted. The limiting shear stress in the slip zone (i.e. the pile shaft for the axial response) is taken as:

tss = Kss’vtan d

where Ks is the coefficient of horizontal soil stress, s’v is the effective vertical stress and d is the angle of friction between pile and soil.

The limiting bearing stress on the pile base is calculated as:

tsc = Nqs’v

where Nq is calculated as a function of the soil angle of friction (f'), much as was originally established by Berezantzev et al. (1961) and reported in Fleming et al. (1992).

The limiting bearing stress on the pile shaft for the lateral response is calculated as (Fleming et al., 1992):

tsc = Kp2s’v

where Kp is the passive earth pressure coefficient, equal to (1 + sin f')/(1 - sin f').

Related topics

Modelling the soils

Modelling the piles

References


Background theory and assumptions

Modelling the soils

The boundary element method involves the integration of an appropriate elementary singular solution for the soil medium over the surface of the problem domain, i.e. the pile-soil interface. With reference to the present problem which involves an unloaded ground surface, the well-established solution of Mindlin (1936) for a point load within a homogeneous, isotropic elastic half space has been adopted. The soil deformations at the pile-soil interface are related to the soil tractions via integration of the Mindlin's kernel, yielding:

{us} = [Gs]{ts}

where {us} are the soil displacements, {ts} are the soil tractions and [Gs] is a flexibility matrix of coefficients obtained from Mindlin's solution for the axial and lateral response.

The off-diagonal flexibility coefficients are evaluated by approximating the influence of the continuously distributed loads by discrete point loads applied at the location of the nodes. The singular part of the diagonal terms of the [Gs] matrix is calculated via analytical integration of the Mindlin functions. This is a significant advance over previous work (e.g. PGROUP) where these have been integrated numerically, since these singular integrals require considerable computing resources. Further computational efficiency is achieved by exploiting symmetries and similarities in forming single-pile and interaction flexibility matrices. This reduces the computational time and renders the analysis practical for large groups of piles.

Treatment of Gibson and multi-layered soil profiles

Mindlin's solution is strictly applicable to homogeneous soil conditions. However, in practice, this limitation is not strictly adhered to, and the influence of soil non-homogeneity is often approximated using some averaging of the soil moduli. PGroupN handles Gibson soils (i.e. soils whose stiffness increases linearly with depth) and generally multi-layered soils according to an averaging procedure first examined by Poulos (1979) and widely accepted in practice (Poulos, 1990; Leung & Chow, 1987; Chow, 1986, 1987a, 1987b), i.e. in the evaluation of the influence of one loaded element on another, the value of soil modulus is taken as the mean of the values at the two elements. This procedure is adequate in most practical cases but becomes less accurate if large differences in soil modulus exist between adjacent elements or if a soil layer is overlain by a much stiffer layer (Poulos, 1989).

Finite soil layer

Mindlin's solution has been used to obtain approximate solutions for a layer of finite thickness by employing the Steinbrenner approximation (Steinbrenner, 1934) to allow for the effect of an underlying rigid stratum in reducing the soil displacements (Poulos, 1989; Poulos & Davis, 1980). For piles bearing directly on the rigid stratum, this approximation becomes less reliable and an alternative approach will be adopted in a future release of the program.

Non-linear soil behaviour

Non-linear soil behaviour has been incorporated, in an approximate manner, by assuming that the soil Young's modulus varies with the stress level at the pile-soil interface. A simple and popular assumption is to adopt a hyperbolic relationship between soil stress and strain, in which case the tangent Young's modulus of the soil Etan is given by (Duncan & Chang, 1970; Poulos, 1989; Randolph, 1994):

Etan = Ei(1 - Rft/ts)2

where Ei is the initial tangent soil modulus, Rf is the hyperbolic curve-fitting constant, t is the pile-soil stress and ts is the limiting value of pile-soil stress. Thus, the boundary element equations described above for the linear response are solved incrementally using the modified values of soil Young's modulus and enforcing the conditions of yield, equilibrium and compatibility at the pile-soil interface.

The hyperbolic curve fitting constant Rf defines the degree of curvature of the stress-strain response and can range between 0 (an elastic-perfectly plastic response) and 0.99 (Rf = 1 is representative of an asymptotic hyperbolic response in which the limiting pile-soil stress is never reached). Different values of Rf should be used for the axial response of the shaft and the base, and for the lateral response of the shaft.

For the axial response of the shaft, values of Rf in the range 0-0.75 are appropriate. The (axial) response of the base is highly non-linear, and values of Rf in the range 0.90-0.99 are appropriate (see also Poulos, 1989, 1994). For the lateral response of the shaft, values of Rf in the range 0.50-0.99 generally give a reasonable fit with the observed behaviour.

The best way to determine the values of Rf is by fitting the PGroupN load-deformation curve with the data from the full-scale pile load test. In the absence of any test data, the values of Rf can be estimated based on experience and, as a preliminary assessment, the following values may be adopted: Rf = 0.5 (shaft), Rf = 0.99 (base), and Rf = 0.9 (lateral).

Finally, it should be noted that, in assessing the lateral response of a pile at high load levels, the assumption of a linear elastic model for the pile material becomes less valid and may lead to an underestimation of pile deflections.

Related topics

Modelling the pile-soil interface

Modelling the piles

References


Background theory and assumptions

Modelling the piles

If the piles are assumed to act as simple beam-columns which are fixed at their heads to the pile cap, the displacements and tractions over each element can be related to each other via the elementary beam theory, yielding:

{uP}
 = [GP]{tP}
 + {B}

where {up} are the pile displacements, {tp} are the pile tractions, {B} are the pile displacements due to unit boundary displacements and rotations of the pile cap, and [Gp] is a matrix of coefficients obtained from the elementary (Bernoulli-Euler) beam theory.

Solution of the system

Applying compatibility and equilibrium constraints at the pile-soil interface, leads to the following system of equations:

{tp} = -[Gp + Gs]-1{B}

where [Gp + Gs] is the global square matrix of the pile group.

By successively applying unit boundary conditions, i.e. unit vertical displacement, unit horizontal displacements (in X and Y directions) and unit rotations (in the XZ and YZ planes) to the pile cap, it is possible to obtain the system of vertical loads, horizontal loads (in X and Y directions) and moments (in the XZ and YZ planes) acting on the cap that are necessary to equilibrate the stresses developed in the piles.

Thus, if an external loading system V (vertical load), Hx (horizontal load in X direction), Mx (moment about the X axis), Hy (horizontal load in Y direction) and My (moment about the Y axis) is acting on the cap, the corresponding vertical displacement (w), horizontal displacement in X direction (ux), rotation about the X axis (?x), horizontal displacement in Y direction (uy) and rotation about the Y axis (?y) of the cap are related via:

where the coefficients of the 5 x 5 [K] matrix are the equilibrating forces as discussed above. The [K] matrix represents the global stiffness matrix of the pile-soil system which may be used as a boundary condition for the superstructure analysis.

It is reasonable to assume that there is no interaction between the horizontal response in X and Y directions, i.e. the stiffness coefficients K24, K25, K34, K35, K42, K43, K52 and K53 are all equal to zero (Randolph, 1987). By inverting the global stiffness matrix , it is possible to obtain the global flexibility matrix of the pile-soil system and hence the pile cap deformations may be obtained for any loading condition:

In order to obtain the tractions acting on the piles for the prescribed loading conditions, the pile tractions due to unit boundary conditions must be scaled using the cap displacements and rotations. Finally, integrating the axial and transverse tractions acting on the piles, yields the distribution of axial forces, shear forces and moments acting on each pile.

Group "shadowing" effect

Under lateral loads, closely spaced pile groups are subjected to a reduction of lateral capacity. This effect, commonly referred to as "shadowing", is related to the influence of the leading row of piles on the yield zones developed in the soil ahead of the trailing row of piles. Because of this overlapping of failure zones, the front row will be pushing into virgin soil while the trailing row will be pushing into soil which is in the shadow of the front row piles. A consequence of this loss of soil resistance for piles in a trailing row is that the leading piles in a group will carry a higher proportion of the overall applied load than the trailing piles. This effect also results in gap formation behind the closely spaced piles and an increase in group deflection. It has been shown both theoretically and experimentally that the shadowing effect becomes less significant as the spacing between piles increases and is relatively unimportant for centre-to-centre spacing greater than about six pile diameters (Cox et al., 1984; Brown & Shie, 1990; Ng et al., 2001).

The shadowing effect has been modelled into the PGroupN analysis using the approach outlined by Fleming et al. (1992). Following this approach, it has been assumed that a form of block failure will govern when the shearing resistance of the soil between the piles is less than the limiting resistance of an isolated pile. Referring to the figure below, the limiting lateral resistance for the pile which is in the shadow of the front pile may be calculated from the lesser of the limiting bearing stress for a single pile and 2(s/d)ts, where s is the centre-to-centre pile spacing, d is the pile diameter and ts is the friction on the sides of the block of soil between the two piles. The value of ts may be taken as Cu for cohesive soil and s’v tan f’ for cohesionless soil.

The outlined approach provides a simple yet rational means of estimating the shadowing effect in closely spaced groups, as compared to the purely empirical "p-multiplier" concept which is employed in load-transfer analyses (e.g. in GROUP).

Related topics

Modelling the pile-soil interface

Modelling the soils

References


References

Banerjee, P. K. & Driscoll, R. M. (1976). Three-dimensional analysis of raked pile groups. Proc. Instn Civ. Engrs, Part 2, Vol. 61, Dec., 653-671.

Basile, F. (1999). Non-linear analysis of pile groups. Proc Instn Civ Engng, Geotech Engng 137, No. 2, April, 105-115.

Basile, F. (2003). Analysis and design of pile groups. In Numerical Analysis and Modelling in Geomechanics, E & FN Spon (eds J. W. Bull), Chapter 10, in press.

Berezantzev, V. G., Khristoforov, V. & Golubkov, V. (1961). Load bearing capacity and deformation of piled foundations. Proc. 5th Int. Conf. Soil Mech. Fdn Engng, Paris 2, 11-15.

Broms, B. B. (1964). Lateral resistance of piles in cohesive soils. J. Soil Mechs Fdn Division, Am. Soc. Civ. Engrs 90, No. SM2, 27-63.

Brown, D. A. & Shie, C. F. (1990). Numerical experiments into group effects on the response of piles to lateral loading. Computers and Geotechnics 10, No. 4, 211-230.

Butterfield, R. & Banerjee, P. K. (1971). The elastic analysis of compressible piles and pile groups. Géotechnique 21, No. 1, 43-60.

Cox, W. R., Dixon, D. A. & Murphy, B. S. (1984). Lateral load tests on 25.4-mm (1-in.) diameter piles in very soft clay in side-by-side and in-line groups. Laterally loaded deep foundations: analysis and performance, ASTM STP 835, J. A. Langer, E. T. Mosley, and C. D. Thompson (ed), American Society for Testing and Materials, 122-139.

Chow, Y. K. (1986). Analysis of vertically loaded pile groups. Int. J. Numer. Anal. Meth. Geomechs 10, No. 1, 59-72.

Chow, Y. K. (1987a). Three-dimensional analysis of pile groups. J. Geotech. Engng, Am. Soc. Civ. Engrs 113, No. 6, 637-651.

Chow, Y. K. (1987b). Axial and lateral response of pile groups embedded in nonhomogeneous soils. Int. J. Numer. Anal. Meth. Geomechs 11, 621-638.

Duncan, J. M. & Chang, C. Y. (1970). Non-linear analysis of stress and strain in soils. J. Soil Mechs Fdn Division, Am. Soc. Civ. Engrs 96, No. SM5, 1629-1681.

Fleming, W. G. K., Weltman, A. J., Randolph, M. F. & Elson, W. K. (1992). Piling Engineering (2nd edn). Blackie Academic & Professional, Glasgow.

Hoit, M. I., McVay, M., Hays, C. & Andrade, P. W. (1996). Nonlinear pile foundation analysis using Florida-Pier. J. Bridge Engng, Am. Soc. Civ. Engrs 1, No. 4, 135-142.

Leung, C. F. & Chow, Y. K. (1987). Response of pile groups subjected to lateral loads. Int. J. Numer. Anal. Meth. Geomechs 11, No. 3, 307-314.

Mandolini, A. & Viggiani, C. (1997). Settlement of piled foundations. Géotechnique 47, No. 4, 791-816.

Mindlin, R. D. (1936). Force at a point in the interior of a semi-infinite solid. Physics 7, 195-202.

Ng, C. W. W., Zhang, L. & Nip, D. C. N. (2001). Response of laterally loaded large-diameter bored pile groups. J. Geotech. and Geoenv. Engng, Am. Soc. Civ. Engrs 127, No. 8, 658-669.

O'Neill, M. W., Ghazzaly, O. I. & Ha, H. B. (1977). Analysis of three-dimensional pile groups with non-linear soil response and pile-soil-pile interaction. Proc. 9th Annual Offshore Technology Conf., Houston, Paper 2838, 245-256.

Ottaviani, M. (1975). Three-dimensional finite element analysis of vertically loaded pile groups. Géotechnique 25, No. 2, 159-174.

Poulos, H. G. (1979). Settlement of single piles in nonhomogeneous soil. J. Geotech. Engng, Am. Soc. Civ. Engrs 105, No. GT5, 627-641.

Poulos, H. G. (1989). Pile behaviour - theory and application. 29th Rankine Lecture, Géotechnique 39, No. 3, 365-415.

Poulos, H. G. (1990). User's guide to program DEFPIG Deformation Analysis of Pile Groups, Revision 6. School of Civil Engineering, University of Sidney.

Poulos, H. G. (1994). Settlement prediction for driven piles and pile groups. Proc. Conf. on vertical and horizontal deformations of foundations and embankments, College Station, Texas, Geotechnical Special Publication, Vol. 2, No. 40, 1629-1649.

Poulos, H. G. & Davis, E. H. (1980). Pile foundation analysis and design. New York: Wiley.

Randolph, M. F. (1987). PIGLET, a computer program for the analysis and design of pile groups. Report GEO 87036, Perth, University of Western Australia.

Randolph, M. F. (1994). Design methods for pile groups and piled rafts. Proc. 13th Int. Conf. Soil Mech. Fdn Engng, New Delhi 5, 61-82.

Reese, L. C., Wang, S. T., Arrellaga, J. A. & Hendrix, J. (1996). Computer program GROUP for Windows user's manual, version 4.0. Ensoft, Inc., Austin, Texas.

Steinbrenner, W. (1934). Tafeln zur Setzungberechnung. Strasse 1, 221.


Pile group software

Overview of pile group software

Computer programs for the analysis of pile groups vary in the type of approach used and in the sophistication of treatment of different aspects of group behaviour. Numerical techniques for pile group analysis fall into two main categories:

  1. continuum-based approaches;
  2. load-transfer (or subgrade reaction) approaches.

The latter category, based on the so-called Winkler idealisation of soil, is attractive in its flexibility, enabling non-linear and inhomogeneous soil conditions to be incorporated easily (i.e. the "t-z" or "p-y" curve methods of analysis). The main drawback to this approach is that no direct tests can be conducted to establish force-displacement relationships for that particular pile and soil type - these curves must be back calculated from the data obtained by conducting pile load tests. Thus, a significant amount of engineering judgement is needed when formulating these curves for site conditions which differ markedly from the recorded field tests. In addition, disregard of continuity through the soil oversimplifies the problem and makes it impossible to find a rational way to quantify the interaction effects between piles in a group. The computer codes PILGP1 (O'Neill et al., 1977), the ones developed by Chow (1987a, 1987b), GROUP (Reese et al., 1996), GRUPPALO (Mandolini & Viggiani, 1997), and FB-Pier (Hoit et al., 1996) are included in this category.

These deficiencies may be removed by means of soil continuum based solutions which are generally based on the finite element (Ottaviani, 1975), finite difference, or boundary element method (Butterfield & Banerjee, 1971). These solutions provide an efficient means of retaining the essential aspects of pile interaction through the soil continuum and hence a more realistic representation of the problem. Further, the mechanical characteristics to be introduced into the model have now a clear physical meaning and they can be measured directly.

Programs based on finite element/difference methods

Programs based on the boundary element method

References


Overview of pile group software

Programs based on finite element/difference methods

In principle, a complete three-dimensional analysis of a pile group can be carried out by finite element or finite difference methods. These methods are valuable for clarifying the mechanism of load transfer from the pile to the surrounding soil but, particularly for three-dimensional problems such as pile groups, are not readily applicable to routine design. Apart from the complexity (for example, in relation to the modelling of the pile-soil interfaces) and the considerable effort of data preparation, the main problem is the high computational cost involved in this type of analyses, particularly if non-linear soil behaviour is to be considered. This precludes the routine use of such techniques in design (a three-dimensional non-linear analysis of a pile group using current software packages can take several days, even on modern computers).

Programs based on the boundary element method

References


Overview of pile group software

Programs based on the boundary element method

The boundary element method (BEM) provides a complete problem solution in terms of boundary values only, specifically at the pile-soil interface. This leads to a drastic reduction in unknowns to be solved for, thereby resulting in substantial savings in computing time and data preparation effort. This feature is particularly important for three-dimensional problems such as a pile group analysis.

The following computer programs may be included in this category:

  • DEFPIG (Poulos, 1990), based on a simplified BEM analysis and the use of interaction factors, models soil nonlinearity in an approximate manner and is limited to groups of 36 piles;
  • PIGLET (Randolph, 1987), based on approximate analytical solutions for single pile response and for interaction between two piles, in which linear elastic soil behaviour is assumed.

It should be emphasised that the interaction factor approach produces the following limitations:

  1. it ignores the stiffening effect of intervening piles in a group, thereby leading to an overestimation of interaction between piles;
  2. its use becomes questionable for cases in which not all the piles are identical;
  3. it only gives the loads and bending moments at the pile heads, but not their distributions along the piles; these may only be approximated utilising the single pile solutions with the corresponding pile head loads and bending moments.

These approximations may be removed by simultaneous consideration of all elements of all the piles within the group, i.e. performing a "complete" analysis of the group. The computer program PGROUP (Banerjee & Driscoll, 1976) is included in this category but is restricted to linear elastic analyses and problems of small dimensions because of the enormous computational resources required.

The main feature of the PGroupN program (Basile, 1999, 2003) lies in its capability to provide a non-linear BEM solution of the soil continuum while retaining a computationally efficient code. One of the main advantages of a non-linear analysis system over a linear elastic one is that it has the desirable effect of demonstrating a relative reduction of the corner loads in pile groups in both the vertical and horizontal senses. This observation is of basic importance in practice, and offers the prospect of tangible improvements in design procedures and potential saving of materials.

The choice of soil parameters for PGroupN is simple and direct: for a linear elastic analysis, it is only necessary to define two soil parameters whose physical interpretation is clear, i.e. the soil modulus (Es) and the Poisson's ratio (ns). If the effects of soil nonlinearity are considered, the strength properties of the soil need also to be specified, i.e. the undrained shear strength (Cu) for cohesive soils and the angle of friction (f') for cohesionless soils. These parameters are routinely measured in soils investigation. This represents an advantage over the ''t-z'' or ''p-y'' curve approaches which are based on empirical parameters which may only be derived from the results of pile load tests. However, in many practical situations it is not possible to carry out such testing, at least in the preliminary stages of design.

Programs based on finite element/difference methods

References


Creating a new project

To create a new project:

  1. From the File menu, select New Project. You will be prompted to save the current project if changes have been made to it.

Repute's File > New menu

Copyright ©2002-7 Geocentrix Ltd. All rights reserved.


Opening an existing project

Repute can open projects/files created in a variety of pile design programs. To open an existing project:

  1. From the File menu, select Open.... The [image] Open Projectbox will appear.

  2. Select the type of file you want to open from those listed in the Files of type box.

    • Repute Project (*.rpx)
    • PGroupN File (*.pgn)
    • XML File (*.xml)

  3. Navigate to the location of your project/file and select it.
  4. Click Open.

Tip: Some programs (e.g. MPILE) do not have a specific file extension associated with them. If you select one of these programs in the Files of type box, the Open Project box will show all the files present in the currently selected folder, including those not created by the specified program. If you select a file that was not created by the specified program, and click the OK button, Repute will display an error message.


Saving a project

To save the current project under its existing name:

  1. From the File menu, select Save Project.

To save the current project with a new name or as a new type:

  1. From the File menu, select Save Project As.... The Save Project As box (see below) will appear.
  2. In the Save as type box, select the type of file you want to save from those listed:
    • Repute Project (*.rpx)
    • PGroupN File (*.pgn)
  3. Navigate to the location where you want to save your project.
  4. Enter the project's new name in the File name box.
  5. Click Save.

Repute's Save Project As box

Tip: Projects created by Repute are automatically saved with the extension ".rpx". You do not need to include the extension in the name you enter in the File name box.


Project page

Name

The name of the project.

Description

A description of the project.

  • note: commas and quote marks (") will not appear in Repute's HTML reports

Number

The reference "number" for this project.

  • the project number is not restricted to numbers (0-9), it may also include letters from the alphabet (a-z, A-Z) and spaces

Revision

A character (A-Z) indicating how many times this project has been revised.

Made by

The initials of the engineer who has created this project

  • the "engineer" is not restricted to letters from the alphabet (a-z, A-Z), it may also include numbers (0-9) and spaces

Date

The date that the project information was last amended.

Your client's name/address

The name and address of your client.

  • note: commas and quote marks (") will not appear in Repute's HTML reports

Your company's name/address

The name and address of your company or organization.

  • note: commas and quote marks (") will not appear in Repute's HTML reports


Piles page

Defined piles

Defined piles

The piles that have been defined in the current project.

Physical properties of selected pile

Embedded length

The length of the pile embedded in the ground.

  • must be between 2 and 75m
  • default value/units: 10m

The total length of the pile (Ltotal) is given by the equation:

  • Ltotal = L + Lfree where
  • L is the embedded length of the pile
  • Lfree is the free length of the pile

Free-standing length

The length of pile sticking out of the ground.

  • must be ³ 0
  • default value/units: 0m

Shaft diameter

The outside diameter of the pile shaft.

  • must be between 0.2 and 5m
  • default value/units: 1m

Internal diameter

The inside diameter of a tubular pile shaft.

  • must be ³ 0 and < shaft diameter
  • the internal diameter of a solid pile should be set to zero
  • default value/units: 0m

Base diameter

The outside diameter of the pile base.

  • must be ³ shaft diameter and £ 10m
  • for non-undereamed piles, the base diameter = shaft diameter
  • for undereamed piles, the base diameter > shaft diameter
  • default value/units: 1m

X position

The position of the centre-line of the pile, measured along the X-axis, relative to the pile group datum.

  • default value/units: 0m

Y position

The position of the centre-line of the pile, measured along the Y-axis, relative to the pile group datum.

  • default value/units: 0m

Rake in XZ plane

The angle of inclination of the pile axis in the XZ plane, measured clockwise from the vertical.

  • default value/units: 0°

Rake in YZ plane

The angle of inclination of the pile axis in the YZ plane, measured clockwise from the vertical.

  • default value/units: 0°

Engineering properties

Axial Young's modulus

The axial stiffness of the pile.

  • must be between 5 and 250GPa
  • default value/units: 20GPa

The pile is assumed to have a uniform axial stiffness over its full length.

Lateral Young's modulus

The lateral (i.e. radial) stiffness of the pile.

  • must be between 5 and 250GPa
  • default value/units: 20GPa

The pile is assumed to have a uniform lateral stiffness over its full length.


Layers page

Defined layers

Defined layers

The layers that have been defined in the current project. The top layer is assumed to be located at the ground surface and each subsequent layer below the layer above it.

The following layer types are supported:

  • Drained layer
  • Undrained layer
  • Rigid layer

If a rigid layer is defined, it must be the last (i.e. bottom) layer.

Dimensions of selected layer

Thickness

The thickness of the layer:

  • must be between 0.5 and 75m
  • default value/units: 20m
  • this property is not needed for rigid layers (which are considered to be semi-infinite in extent)

Layer is below the Water Table

A flag that determines whether the layer is treated as saturated (i.e. below the water table) or unsaturated.

  • default: true (ticked)

Properties of the Selected Layer

Vertical Young's Modulus (At Top)

The axial stiffness of the soil layer in the vertical direction.

  • must be between 5 and 500 MPa
  • default value/units: 25MPa

The value specified applies at the top of the layer. If a gradient is also specified, the vertical Young's modulus of the layer (Ev) is given by the equation:

  • Ev = Ev0 + dEv(z - z0), where:
  • Ev0 is the vertical Young's modulus at the top of the layer
  • dEv is the vertical Young's modulus gradient
  • z is the depth below the ground surface
  • z0 is the depth of the top of the layer below the ground surface

Vertical Young's Modulus Gradient

The change (with depth) in vertical stiffness of the soil layer.

  • must be ³ 0MN/m3
  • default value/units: 0MN/m3

Horizontal Young's Modulus (At Top)

The axial stiffness of the soil layer in the horizontal direction.

  • must be between 1 and 500 MPa
  • default value/units: 25 MPa

The value specified applies at the top of the layer. If a gradient is also specified, the horizontal Young's modulus of the layer (Eh) is given by the equation:

  • Eh = Eh0 + dEh(z - z0), where:
  • Eh0 is the horizontal Young's modulus at the top of the layer
  • dEh is the horizontal Young's modulus gradient
  • z is the depth below the ground surface
  • z0 is the depth of the top of the layer below the ground surface

Horizontal Young's Modulus Gradient

The change (with depth) in horizontal stiffness of the soil layer.

  • must be ³ 0MN/m3
  • default value/units: 0MN/m3

Poisson's Ratio

The ratio of lateral to axial deformation under axial load.

  • must be between 0.0 and 0.5
  • default value for drained layer: 0.3
  • default value for undrained layer: 0.5
  • default units: none

Properties of Granular Soil

Granular soils generally respond in a drained manner when loaded. Granular soils include sands and gravels.

Unit Weight

The bulk (weight) density of the soil.

  • must be between 14 and 26kN/m3
  • default value/units: 20kN/m3

Angle of Shearing Resistance

  • must be between 15 and 60°
  • default value/units: 20°

Angle of Interface Friction

The angle of friction between the soil and the pile

  • must be ³ 0 and £ f (the angle of shearing resistance of the soil)
  • default value/units: 20°

Coefficient of Horizontal Stress

The ratio of horizontal effective stress to vertical effective stress in the soil.

  • must be between 0.2 and 5.0
  • default value: 0.7
  • default units: none

The horizontal effective stress in the soil (s¢h) is given by the equation:

  • s¢h = Kss¢v, where
  • Ks is the coefficient of horizontal stress, and
  • s¢v is the vertical effective stress in the soil

Properties of Cohesive Soil

Cohesive soils generally respond in an undrained manner when loaded in the short-term. Cohesive soils include silts and clays. To model the long-term response of the soil, you should treat silts and clays as granular (i.e. drained) materials.

Unit Weight

The bulk (weight) density of the soil.

  • must be between 14 and 26kN/m3
  • default value/units: 20kN/m3

Undrained Strength

The undrained strength of the cohesive soil at the top of the soil layer.

  • must be between 5 and 300 kPa
  • default value/units: 25kPa

The value specified applies at the top of the layer. If a gradient is also specified, the undrained strength of the soil (Cu) is given by the equation:

  • Cu = Cu0 + dCu(z - z0), where:
  • Cu0 is the undrained strength at the top of the layer
  • dCu is the undrained strength gradient
  • z is the depth below the ground surface
  • z0 is the depth of the top of the layer below the ground surface

Undrained Strength Gradient

The change (with depth) in undrained strength of the soil.

  • must be between 0 and and 100 kN/m3
  • default value/units: 0kN/m3

Adhesion Factor

The proportion of the cohesive soil's undrained strength that acts in adhesion against the pile.

  • must be ³ 0 and £ 1.0
  • default value: 0.5
  • default units: none

The adhesion against the pile (a) is given by the equation:

  • a = aCu, where
  • a is the adhesion factor, and
  • Cu is the undrained strength of the soil


Loads page

Components of selected load case

Components marked * are ignored in 2-dimensional analyses.

Vertical force (V)

The vertical force applied to the pile group at the underside of the pile cap.

  • must be ³ 0
  • default value/units: 100kN

Horizontal force (Hx)

The horizontal force applied to the pile group in the X-direction at the underside of the pile cap.

  • must be ³ 0
  • default value/units: 0kN

* [image] Moment (Mx)

The moment applied to the pile group about the X-axis (i.e. in the YZ-plane) at the underside of the pile cap.

  • must be ³ 0
  • default value/units: 0kNm
  • positive moments act in the anti-clockwise direction about the positive X-axis
  • this value is ignored when the 2-dimensional loading condition is selected

* [image] Horizontal force (Hy)

The horizontal force applied to the pile group in the Y-direction at the underside of the pile cap.

  • must be ³ 0
  • default value/units: 0kN
  • this value is ignored when the 2-dimensional loading condition is selected

Moment (My)

The moment applied to the pile group about the Y-axis (i.e. in the XZ-plane) at the underside of the pile cap.

  • must be ³ 0
  • default value/units: 0kNm
  • positive moments act in the clockwise direction about the positive Y-axis

Position of vertical component

X

The position of the vertical force along the X-axis, relative to the pile group datum.

  • default value/units: 0m

* [image] Y

The position of the vertical force along the Y-axis, relative to the pile group datum.

  • default value/units: 0m
  • this value is ignored when the 2-dimensional loading condition is selected

Active Load Case: flag indicating whether the selected load case is the active one. Only one load case can be active at any one time. (All other load cases are ignored in the analysis).

Sign convention

See the screenshot above for a visual representation of the sign convention adopted by Repute.


Options page

Analysis/hyperbolic constants

Linear or non-linear analysis

A flag indicating whether a linear or non-linear analysis is required.

In a linear analysis, a linear-elastic soil model is adopted for drained and undrained layers:

  • The weight and strength properties of the soil are ignored
  • There are no limits to the stresses that can occur along the pile shaft or against the pile base

In a non-linear analysis, a non-linear soil model is adopted for drained and undrained layers:

  • The weight and strength properties of the soil in each layer must be specified
  • The location of the water table must be specified
  • Hyperbolic constants (shaft, base, and lateral) must be specified
  • The bearing capacity factor may be specified
  • Limiting stresses may be specified
  • The precision of the calculations may be specified

Shaft factor

An empirical constant used to determine the degree of non-linearity of the hyperbolic soil model, with regard to the axial response of the pile shaft.

  • must be ³ 0.0 and £ 0.75
  • default value: 0.5
  • this value is ignored in linear analyses

Base factor

An empirical constant used to determine the degree of non-linearity of the hyperbolic soil model, with regard to the axial response of the pile base.

  • must be ³ 0.9 and £ 0.99
  • default value: 0.99
  • this value is ignored in linear analyses

Lateral factor

An empirical constant used to determine the degree of non-linearity of the hyperbolic soil model, with regard to the lateral response of the pile shaft.

  • must be ³ 0.5 and £ 0.99
  • default value: 0.9
  • this value is ignored in linear analyses

Bearing capacity factor

Automatically calculate Nq

A flag indicating whether Nq should be automatically calculated or not.

  • default setting: true (ticked)
  • this flag is ignored in linear analyses

If this flag is set to true, Nq is calculated from the equation (following the curve reported by Fleming at al, 1992):

  • Nq = 10(0.075f - 0.75)
  • where f is the angle of shearing resistance of the soil at the base of the pile

Nq

The horizontal force applied to the pile group in the X-direction at the underside of the pile cap.

  • must be > 0
  • default value: 0

Limiting stresses

Apply limits to stresses

A flag indicating whether limits should be applied to the skin friction and bearing pressure acting on the pile.

  • if set to true (ticked), then the maximum skin friction and maximum bearing pressure must be specified
  • default setting: false (unticked)
  • this flag is ignored in linear analyses

Maximum skin friction

The maximum value of skin friction that can occur along the surface of the pile shaft.

  • must be > 0kPa
  • default value/units: 100kPa
  • this value is ignored in linear analyses

Maximum bearing pressure

The maximum value of bearing pressure that can act against the pile base.

  • must be > 0MPa
  • default value/units: 15MPa
  • this value is ignored in linear analyses

Precision of calculations

Automatic

A flag indicating that the precision of the calculations should automatically be determined by the program.

  • default setting: true (ticked)

If set to automatic, the number of elements per pile (Nel) is calculated from one of the following equations:

  • Nel = (L/D)min for a single pile with no vertical load applied to it, or
  • Nel = (L/D)min/2 for all other cases

where...

  • (L/D)min = the minimum slenderness ratio of any pile in the pile group
  • L = the embedded length of an individual pile
  • D = the external (shaft) diameter of that pile

and...

  • Nel is rounded down to the nearest integer

If set to automatic, the number of load increments (Ninc) is set as:

  • Ninc = 200

Custom

A flag indicating that the precision of the calculations will be specified by the user.

  • default setting: false (unticked)
  • this flag is ignored in linear analyses
  • if set, the number of elements per pile must be specified

No of elements per pile

The number of elements used to discretize the pile shaft.

  • must be ³ 1 and £ 50
  • typical value ³ 3 and £ (L/D)min/2, where (L/D)min is the minimum slenderness ratio of any pile in the pile group, L is the embedded length of a particular pile, and D its diameter
  • default value: 10
  • this value is only used if the precision of the calculations is set to custom

No of load increments

The number of increments (Ninc) over which the specified loads are applied.

  • must be ³ 50 and £ 1000
  • default value: 200
  • this value is only used if the precision of the calculations is set to custom
  • this value is ignored in linear analyses

The load applied to the pile group in each increment (Finc) is given by the equation:

  • Finc = F / Ninc, where
  • F = the total load applied


Messages Page

Any messages that Repute produces while carrying out your commands are collected together on the Messages page.


Reports Page

The Reports page displays the reports that you select from Repute's Reports menu. Each report is displayed on the appropriate tabbed page, depending on whether the report was produced in HTML, Text, or Graph format.


Summary reports

Repute includes a number of summary reports that you can use to display the results of your calculations. To display a summary report:

  1. From the Reports menu, select Summary.
  2. From the Summary menu (see below), select the report you wish to display.
  3. The report will appear in Repute's built-in web browser (see second figure below).

Reports > Summary menu

Summary report displayed in Repute's built-in web browser

Tip: The reports listed on the Reports menu are generated by XML transformation (XSLT) files located in Repute's Reports folder. Do not delete or move these files.


XML reports

XML (eXtensible Markup Language) is a world-wide standard for recording data.

Repute provides reports that display the program's input and output parameters in XML format. To display an XML report:

  1. From the Reports menu, select XML.
  2. From the XML menu (see below), select the report you wish to display.
  3. The report will appear in Repute's built-in web browser (see second figure below).

Reports > XML menu

XML report showing input parameters

Tip: The reports listed on the Reports menu are generated by XML transformation (XSLT) files located in Repute's Reports folder. Do not delete or move these files.


Contacting Geocentrix

Geocentrix develops geotechnical design software and web sites for engineering organizations.

Address: | Geocentrix Scenic House 54 Wilmot Way, Banstead Surrey, SM7 2PY United Kingdom
Telephone: | +44 (0)1737 373963
Fax: | +44 (0)1737 373980
World Wide Web: | www.geocentrix.co.uk
Office Hours: | Monday to Friday 9 am to 5 pm Greenwich Mean Time


End-user License Agreement

1. Geocentrix Ltd is under no obligation to supply items ordered by the Licensee until such time as Geocentrix Ltd accepts the order (which it may do so by dispatching the items ordered) and has received payment in full for such items. If Geocentrix Ltd accepts the Licensee's order then, in consideration of the licence fee(s) paid by the Licensee, the Licensee shall have the right to use Geocentrix's software products ("the Software") upon the terms set out below.

2. The Software is licensed to the Licensee and not sold. The Licensee has an indefinite non-exclusive licence to run the Software subject to the following limitations of use. The Licensee shall not permit more than the number of persons indicated overleaf to use the Software at any one time. This licence is personal to the Licensee and accordingly the Licensee may not transfer it or sub-licence the Software to any third party. As is normal with software, the Software is not guaranteed to be bug or error free.

3. This licence does not permit the Licensee to copy the Software other than to run it which includes the right to make one copy for backup purposes. The Licensee may not adapt it nor modify it in any way nor reverse engineer it except to the extent that reverse engineering may not lawfully be prevented. The Licensee may merge the Software with other software only to the extent strictly necessary to integrate it into the operating systems used on the Licensee's computers. The Licensee must promptly update its copy and any backup copy of the Software upon receipt of any updated version or modification although there is no obligation on Geocentrix to supply any updated version or modification.

4. The Licensee must not alter or remove any copyright or other notice or trade mark or name from the Software or any materials accompanying it and must ensure inclusion of all such copyright and other notices, trade marks and names on any copy of the Software which the Licensee is permitted to make under this licence.

5. The Licensee must keep all copies of the Software and any accompanying materials secure, maintain proper records of their locations at all times and ensure that no third party gains access to them. The Licensee must keep the information contained in the Software and such accompanying materials confidential, save to the extent that such information is now or subsequently becomes public knowledge (except through breach of the Licensee's obligations under this licence); or if the Licensee can show that such information was known to the Licensee prior to receiving it directly or indirectly from the Software; or such information is disclosed to the Licensee by a third party free of any restrictions on disclosure and use.

6. Geocentrix may terminate this licence forthwith by a notice in writing if the Licensee commits any material breach of its provisions and in such case the Licensee must immediately cease to use the Software and must return all copies thereof together with all accompanying materials to Geocentrix certifying that the Licensee has done so. This licence will also terminate automatically if the Licensee purports to transfer it or to sub-license the Software to any third party.

7. THE LICENSEE MUST PROMPTLY COMPLY WITH ALL RECOMMENDATIONS, INSTRUCTIONS AND WARNINGS RELATING TO THE SOFTWARE FROM TIME TO TIME GIVEN TO THE LICENSEE BY GEOCENTRIX OR CONTAINED IN THE SOFTWARE OR THE ACCOMPANYING DOCUMENTATION, AND HAVE DUE REGARD TO THE LIMITATIONS ON THE USE OF THE SOFTWARE SET OUT IN SUCH DOCUMENTATION. IN PARTICULAR, WITHOUT PREJUDICE TO THE GENERALITY OF THE FOREGOING AND AS A CONDITION OF THIS LICENCE, THE LICENSEE MUST INDEPENDENTLY CHECK ALL RESULTS PRODUCED BY THE SOFTWARE AND USE PROPER PROFESSIONAL JUDGEMENT IN ASSESSING THEM.

8. Geocentrix does not exclude or limit its liability in respect of death or injury arising from its negligence, or in respect of wilful default or other matters for which it cannot lawfully exclude or limit its liability. Subject thereto, Geocentrix shall not be liable to the Licensee or to any other person, in contract in tort or otherwise, for any loss or damage whatsoever howsoever arising directly or indirectly from the supply, failure to supply, or use of the Software and in particular without limitation (subject as stated above) Geocentrix shall not be liable, in contract in tort or otherwise, for any consequential, special, indirect, or incidental loss including without limitation any loss of profit, business, revenue, goodwill, or anticipated savings arising as aforesaid. The Licensee shall indemnify Geocentrix accordingly.

9. The Licensee shall indemnify Geocentrix in full against all losses, costs, claims, and expenses whatsoever resulting directly or indirectly from any breach by the Licensee of any terms of this licence.

10. These Licence Conditions apply to the exclusion of all other terms and conditions whatsoever whether express or implied by law or otherwise. These Licence Conditions and every contract to which they apply shall be governed and construed in accordance with English law and the Licensee shall submit to the non-exclusive jurisdiction of the English Courts.


Sales

Contact Geocentrix for information about the latest products and services.

Phone: | +44 (0)1737 373963
Fax: | +44 (0)1737 373980
World Wide Web: | www.geocentrix.co.uk
Email: | sales@geocentrix.co.uk
Office hours: | Monday-Friday, 9am to 5pm Greenwich Mean Time


Technical Support

Before contacting Geocentrix for technical support, please gather the following information about your system:

  • Your licence number (as displayed in Repute's About box)
  • Repute's version, service release, and build numbers (as displayed in Repute's About box)
  • The version of Microsoft Windows you are running (Windows 95/98/Me/NT4/2000/XP).
  • The version of Microsoft Internet Explorer you are running (IE 5/5.5/6).
Phone: | +44 (0)1737 373963
Fax: | +44 (0)1737 373980
Email: | support@geocentrix.co.uk
Office hours: | Monday-Friday, 9am to 5pm Greenwich Mean Time
24-hour World Wide Web support: | www.geocentrix.co.uk/support


About box

The About box displays version, copyright, and licence information about the program.

Definitions

Version: the major (e.g. 1) and minor (e.g. 5) version numbers of the program.

Service Release: the number of times this version of the program has been revised.

Copyright Notice: details of who owns copyright information used within the program.

Trademark Notice: details of any trademarks associated with the program.

Licensed Product: name, version, and edition of the program.

Licensed To: name of the company/organization to whom the program is licensed.

Licence Number: the licence number issued to the company/organization identified above.


Licence Registration Wizard

Registration box

Use the Registration box to enter details of your software licence, thereby enabling features of the program that are not available in the Trial Edition.

When your licence details are correctly entered in the Registration box, a tick mark appears to the right hand side of the Licence Number box and the OK button is enabled. If you click on the OK button, these details are written to Window's Registry.

Definitions

Product: the name (Repute), version (1.5), and edition (e.g. Standard) of the program.

Licensed To (Name): the name of the company/organization to whom the program is licensed.

Licence Number: the licence number issued by Geocentrix to unlock the program from its Trial Edition. The licence number is a 26 character string in the form RPT-0150-xxxx-xxxx-xxxx-Std:

  • The first group of three characters represents the program's name (RPT for Repute)
  • The next group of four characters represents the program's version (0150 for v1.5)
  • The next three groups consist of four hexadecimal characters (0-9 or a-f) each
  • The final group of three characters represents the program's edition (xxx for Trial, Evl for Evaluation, Stu for Student, and Std for Standard)

Each group is separated by a hyphen.


Pile Group Wizard

The Pile Group Wizard helps you to create piles with similar properties, set out on a pre-defined grid.

Definitions

No of Piles ... along Width: the number of piles to create along each row in the X-direction.

By ... along Breadth: the number of piles to create along each row in the Y-direction.

The total number of piles that the Pile Group Wizard creates when you click OK is given by the product of these two numbers

Width (W): the width of the pile group in the X-direction, measured from the centre-line of the left-most pile to the centre-line of the right-most pile. This dimension will usually be smaller than the width of the pile cap.

Breadth (B): the breadth of the pile group in the Y-direction, measured from the centre-line of the bottom-most pile to the centre-line of the top-most pile. This dimension will usually be smaller than the breadth of the pile cap.

Datum at Centre of Group: if this option is selected, the X and Y positions of each pile are calculated from the centre of the pile group. Some piles will have negative X and Y values.

Datum at Corner of Group: if this option is selected, the X and Y positions of each pile are calculated from the bottom left-hand corner of the pile group. All piles will have positive X and Y values.

Length: the axial length of each pile in the group.

Diameter: the external diameter of each pile in the group.

Free-Standing Length: the free-standing length of each pile in the group.

Axial Young's Modulus: Young's modulus of each pile in the group in the axial direction.

Lateral Young's Modulus: Young's modulus of each pile in the group in the lateral (radial) direction.


Program Options

The Program Options box allows you to select global options that apply to this copy of Repute. The Program Options box has two pages, as follows.

General options

Report Format: flag indicating whether Repute should produce reports in extended markup language (XML) or hypertext markup language (HTML) format. XML format provides clean separation of the report data (written to the XML file) from its formatting - provided by Repute's pre-defined extensible stylesheet language transformations (XSLT files). HTML format mixes data and formatting, but is self-contained (i.e. the display does not depend on external files).

Browser: flag indicating whether Repute should display its reports internally (using Windows' browser control) or externally (using the program associated with XML/HTML file formats - typically Microsoft's Internet Explorer).

Show Welcome Page At Startup: flag indicating whether Repute should display its "Welcome to Repute" page at startup. If this flag is not set, Repute will display the Project page instead.

Save Results on Closing Project: flag indicating whether Repute should save any results generated for the current project when you close the project. If you save them, you can re-display the results without having to re-calculate them when you re-open the project. Results are stored in separate files to Repute's project file, as follows:

  • filename.rpx - stores the project definition
  • filename.pgn - stores (part of) the project definition in PGroupN format
  • filename.xml - stores the results in XML format
  • filename.html - stores the results in HTML format
  • filename.txt - stores the results in text format

If this flag is not set, then Repute will delete the .pgn, .xml, .html, and .txt files when you close the associated project.

PGroupN options

Generate Text Output: flag indicating whether PGroupN (Repute's calculation engine) should produce results in text format.

Generate XML Output: flag indicating whether PGroupN should produce results in XML format. This flag is permanently set on.

Show Console Window: flag indicating whether Repute should run PGroupN with its console window showing. If this flag is not set, PGroupN runs with its console window minimized.

Analysis Sizes (Degrees of Freedom): flag indicating which edition of PGroupN that Repute should run: PGroupN 1.7 can perform analyses with 2000, 4000, or 6000 degrees of freedom.


Version Information

Repute Help

Version 1.5

Update 2

Build 701

©2002-7 Geocentrix Ltd. PGroupN ©1999-2006 Geomarc Ltd. All rights reserved.

Geocentrix® is a registered trademark and Repute™ a trademark of Geocentrix Ltd.

This help file is protected by by copyright law. Unauthorized copying or distribution may result in severe civil and criminal penalties.

PGroupN used under licence from Geomarc Ltd. PGroup code used under licence from TRL Ltd.


Menu bar

Repute’s menu bar provides groups of commands under the following headings:

? File

? Edit

? View

? Project

? Build

? Reports

? Tools

? Online

? Window

? Help

Further information about the commands that appear on these drop-down menus can be found in Repute’s online help.

Commands that appear in grey are disabled (usually because that command is inappropriate or temporarily disallowed). For example, the File > Save command is disabled until you make changes to the current project.


Sizing grip

The sizing grip allows you to resize Repute’s main window, which, for example, might be needed to see all the information given in one of Repute’s detailed reports.


Status Bar

The status bar displays summary information about the current project or (if you are navigating Repute’s menu system) a description of the currently selected menu command.


Tabbed notebook

Most of Repute’s main window is taken up by a tabbed notebook, which has separate pages for:

? data-entry (Project, Piles, Layers, Loads, and Options)

? Messages (giving feedback from the program)

? Reports (in HTML, text, or graphical format)

The data-entry pages have Apply and Revert buttons in their top-right hand corners. When you make changes to the data displayed on any of these pages, you need to click Apply to commit those changes to Repute’s internal memory. Alternatively, click Revert if you wish to discard the changes you have made.

If you forget to click Apply or Revert when leaving a data-entry page, Repute will remind you to do so.


Title bar

The title bar displays the program’s name, version number, and edition, plus - when a project has been opened or saved - the full path name of the current project.

If you left-click on the Repute icon at the left-hand end of the title bar, a drop-down menu will appear with commands for sizing, moving, or closing Repute.

The row of buttons at the right-hand end of the title bar provide quick ways of minimizing, maximizing, or closing Repute.


Toolbar

The toolbar provides buttons that help you perform certain tasks quickly, without using the menus. The pictures on the toolbar buttons correspond to the pictures that appear to the left of the corresponding menu command.

If you move the cursor over a toolbar button, a popup window will appear giving a brief explanation of what the button does.

Those toolbar buttons that have a downwards pointing arrow next to them display a drop-down menu when clicked.